head,git_repository-method {git2r} | R Documentation

## Get HEAD for a repository

### Description

Get HEAD for a repository

### Usage

    ## S4 method for signature 'git_repository'
    head(x)

### Arguments

`x` | The repository `x` to check head

### Value

NULL if unborn branch or not found. S4 class git_branch if not a detached head. S4 class git_commit if detached head

### Examples

    ## Not run:
    ## Create and initialize a repository in a temporary directory
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)
    config(repo, user.name="Alice", user.email="alice@example.org")

    ## Create a file, add and commit
    writeLines("Hello world!", file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "Commit message")

    ## Get HEAD of repository
    head(repo)

    ## End(Not run)

[Package git2r version 0.20.0 Index]